CWGraphInternal::State Struct Reference

Internal: the state of a CWGraph. More...

## Public Member Functions

| State ()
| constructor More...
void | setDefaultColorList (int version)
| set the default color map More...
void | setDefaultPatternList (int version)
| set the default pattern map More...
void | setDefaultWallPaperList (int version)
| set the default pattern map More...

## Public Attributes

std::map< int, shared_ptr < Group > > | m_zoneMap
| a map zoneId -> group More...
std::vector< MWAWColor > | m_colorList
| a list colorId -> color More...
std::vector< float > | m_patternList
| a list patternId -> percent More...
std::vector< MWAWColor > | m_wallpaperList
| a list wallPaperId -> color More...
int | m_frameId
| a int used to defined linked frame More...

## Detailed Description

Internal: the state of a CWGraph.

## Constructor & Destructor Documentation

CWGraphInternal::State::State | ( |  | ) |

inline

constructor

## Member Function Documentation

void CWGraphInternal::State::setDefaultColorList | ( | int | version | ) |

set the default color map

void CWGraphInternal::State::setDefaultPatternList | ( | int | version | ) |

set the default pattern map

void CWGraphInternal::State::setDefaultWallPaperList | ( | int | version | ) |

set the default pattern map

## Member Data Documentation

std::vector<MWAWColor> CWGraphInternal::State::m_colorList

a list colorId -> color

Referenced by setDefaultColorList().

int CWGraphInternal::State::m_frameId

a int used to defined linked frame

std::vector<float> CWGraphInternal::State::m_patternList

a list patternId -> percent

Referenced by setDefaultPatternList().

std::vector<MWAWColor> CWGraphInternal::State::m_wallpaperList

a list wallPaperId -> color

Referenced by setDefaultWallPaperList().

std::map<int, shared_ptr<Group> > CWGraphInternal::State::m_zoneMap

a map zoneId -> group

The documentation for this struct was generated from the following file:

- CWGraph.cxx